# Enhanced Identity Verification

{% hint style="info" %}
If you integrated prior to March 1, 2023 with our redirect URL approach, please let us know you are ready for the changes at <api@certn.co> by March 31, 2023.
{% endhint %}

An enhanced identity verification check establishes the real identity of an individual by verifying government-issued identification documents instantly. Certn’s advanced technologies are proven to detect false identities while providing a seamless identification verification process and deterring fraud.​

### Availability

This check is available in **Canada** :flag\_ca: and the **US** :flag\_us:

This check is available for a [**quickscreen**](https://docs.certn.co/api/faq#what-is-a-quickscreen-and-how-do-i-use-it) :white\_check\_mark:

{% tabs %}
{% tab title="Canada" %}

| Industry            | Availability | Endpoints                                                                                                                                                                                                                                                                                                                       |
| ------------------- | ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Human Resources     | Yes          | <ul><li><a href="../../../api-reference/hr#screen-an-applicant-instantly">Quickscreen</a> <span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span> </li><li><a href="../../../api-reference/hr#invite-an-applicant">Invite</a> <span data-gb-custom-inline data-tag="emoji" data-code="1f4e9">📩</span></li></ul> |
| Property Management | Yes          | <ul><li><a href="../../../api-reference/pm#screen-an-applicant-instantly">Quickscreen</a> <span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span> </li><li><a href="../../../api-reference/pm#invite-an-applicant">Invite</a> <span data-gb-custom-inline data-tag="emoji" data-code="1f4e9">📩</span></li></ul> |
| {% endtab %}        |              |                                                                                                                                                                                                                                                                                                                                 |

{% tab title="US" %}

| Industry            | Availability | Endpoints                                                                                                                                                                                                                                                                                                                       |
| ------------------- | ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Human Resources     | Yes          | <ul><li><a href="../../../api-reference/hr#screen-an-applicant-instantly">Quickscreen</a> <span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></li><li><a href="../../../api-reference/hr#invite-an-applicant">Invite</a> <span data-gb-custom-inline data-tag="emoji" data-code="1f4e9">📩</span></li></ul>  |
| Property Management | Yes          | <ul><li><a href="../../../api-reference/pm#screen-an-applicant-instantly">Quickscreen</a> <span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span> </li><li><a href="../../../api-reference/pm#invite-an-applicant">Invite</a> <span data-gb-custom-inline data-tag="emoji" data-code="1f4e9">📩</span></li></ul> |

{% endtab %}
{% endtabs %}

### **Parameters**

#### Request flag

Include this flag in the body of your request:

[`request_enhanced_identity_verification`](https://docs.certn.co/api/api-reference/resources/application-parameters/request-flags)&#x20;

#### Invite parameters

To invite an applicant to complete a screen, include this parameter in the body of your request:

* `email`

See all available [application-parameters](https://docs.certn.co/api/api-reference/resources/application-parameters "mention")

#### Quickscreen parameters

To complete a quickscreen, include these parameters in the body of your request:

* [`information`](https://docs.certn.co/api/api-reference/resources/application-parameters#information)&#x20;
  * `first_name`
  * `last_name`
  * `date_of_birth`
  * [`addresses`](https://docs.certn.co/api/api-reference/resources/application-parameters#address) (min 1)
* [`position_or_property_location`](https://docs.certn.co/api/api-reference/resources/application-parameters#position-or-property-location)&#x20;

Provide these additional documents as proof of identity:

* A recent unaltered selfie
* The front and back of a government-issued ID

Each picture must follow these rules:

* Picture size is < 10MB
* Longest side is > 300 pixels
* Each side is < 8000 pixels

{% hint style="warning" %}
Make sure to obtain the [proof of consent](https://docs.certn.co/api/guides/use-the-api/consent) from your applicant **before** running the quickscreen.
{% endhint %}

{% tabs %}
{% tab title="Add the documents in your original request" %}
Submit the required documents via these fields:

* [`enhanced_identity_verification`](https://docs.certn.co/api/api-reference/resources/application-parameters#enhancedidentityverificationdirectupload)
  * `id_country`
  * `id_type`
  * `id_frontside_image`
  * `id_backside_image` (not required for PASSPORT type)
  * `face_image`

{% hint style="info" %}
Send your images as [base64](https://en.wikipedia.org/wiki/Base64) encoded objects.
{% endhint %}

#### Example request with required documents <a href="#example" id="example"></a>

```json
{
    "request_enhanced_identity_verification": true,
    "information": {
        "first_name": "Andrew",
        "last_name": "McLeod",
        "addresses": [{
                "address": "4412 King Alfred Court",
                "city": "Victoria",
                "province_state": "BC",
                "country": "CA",,
                "current": true
            },
        ],
    },
    "enhanced_identity_verification": {
        "id_country": "CA",
        "id_type": "DRIVING_LICENSE",
        "id_frontside_image": "<base64 encoded image>",
        "id_backside_image": "<base64 encoded image>",
        "face_image": "<base64 encoded image>"
    },
    "position_or_property_location": {
        "address": "Tiffany & Co., 97 Greene St",
        "city": "New York City",
        "county": "New York",
        "province_state": "NY",
        "country": "US",
        "postal_code": "10012",
        "location_type": "Position Location"
    }
}
```

{% endtab %}

{% tab title="Ask your applicant to upload the documents via redirect URL" %}
{% hint style="info" %}
The following configuration will be in effect starting March 1, 2023
{% endhint %}

1. Send your request with the main quickscreen parameters
   * You have the option to include the `on_success_url` parameter in your request to redirect your applicant to your preferred URL when they complete their verification flow.
     * [`enhanced_identity_verification`](https://docs.certn.co/api/api-reference/resources/application-parameters#enhancedidentityverificationdirectupload)
       * `on_success_url`
   * If you don't provide the `on_success_url` parameter in your request, your applicant will be directed to a default [thank you page](https://app.certn.co/thank-you) when they complete their verification flow.
2. In the response, find `enhanced_identity_verification`.
3. Copy the value of `redirect_url`.
4. Share the redirect URL with your applicant.
5. Ask your applicant to complete the verification flow via the provided URL.

{% hint style="info" %}
Certn will proceed with the identity verification once your applicant has successfully uploaded their documents.
{% endhint %}

{% hint style="info" %}
If you're embedding this in an iframe, [contact our support team](https://docs.certn.co/api/contact#api) to provide the domain in which it will be embedded.

Within your iframe, include the following attributes to enable the camera for image capture in full-screen mode: `allow="camera;fullscreen;accelerometer;gyroscope;magnetometer" allowfullscreen`
{% endhint %}

#### Example request *without* the optional redirect URL input

```json
{
    "request_enhanced_identity_verification": true,
    "information": {
        "first_name": "Andrew",
        "last_name": "McLeod",
        "addresses": [{
                "address": "4412 King Alfred Court",
                "city": "Victoria",
                "province_state": "BC",
                "country": "CA",
                "current": true
            },
        ],
    },
    "position_or_property_location": {
        "address": "Tiffany & Co., 97 Greene St",
        "city": "New York City",
        "county": "New York",
        "province_state": "NY",
        "country": "US",
        "postal_code": "10012",
        "location_type": "Position Location"
    }
}
```

**Example response with redirect URL (when optional input&#x20;*****was not provided*****)**

```json
"enhanced_identity_verification": {
    "id": "1e542c5c-f9af-4e6f-8d27-f19dd8682fd7",
    "created": "2019-11-11T16:00:00.000000Z",
    "modified": "2019-11-11T16:00:00.000000Z",
    "status": "P",
    "result": "None",
    "reasons": ["Verification Status Not Set"],
    "identity": {
        "name": {
            "first_name": null,
            "last_name": null,
        },
        "date_of_birth": null,
        "current_address": null,
    },
    "status_label": "Pending",
    "result_label": "None",
    "redirect_url": "https://app.certn.co/one_id?session=XpZNFlUZ3dJaXdpYVdGMElqb3hOamMxTXpZd01ETXpmUS5nbnVXZlQ4enQ3bkF5ODFQWjF&lang=en"
    "front": null,
    "back": null,
    "face": null,
}
```

{% hint style="info" %}
The verification sessions expire 7 days after creation. If it has expired, please order a new enhanced identity verification check for a new session.
{% endhint %}

#### Example request *with* the optional redirect URL input

```json
{
    "request_enhanced_identity_verification": true,
    "information": {
        "first_name": "Andrew",
        "last_name": "McLeod",
        "addresses": [{
                "address": "4412 King Alfred Court",
                "city": "Victoria",
                "province_state": "BC",
                "country": "CA",
                "current": true
            },
        ],
    },
    "enhanced_identity_verification": {
        "on_success_url": "https://certn.co/"
    },
    "position_or_property_location": {
        "address": "Tiffany & Co., 97 Greene St",
        "city": "New York City",
        "county": "New York",
        "province_state": "NY",
        "country": "US",
        "postal_code": "10012",
        "location_type": "Position Location"
    }
}
```

**Example response with redirect URL (when optional input&#x20;*****was provided*****)**

```json
"enhanced_identity_verification": {
    "id": "1e542c5c-f9af-4e6f-8d27-f19dd8682fd7",
    "created": "2019-11-11T16:00:00.000000Z",
    "modified": "2019-11-11T16:00:00.000000Z",
    "status": "P",
    "result": "None",
    "reasons": ["Verification Status Not Set"],
    "identity": {
        "name": {
            "first_name": null,
            "last_name": null,
        },
        "date_of_birth": null,
        "current_address": null,
    },
    "status_label": "Pending",
    "result_label": "None",
    "redirect_url": "https://app.certn.co/one_id?session=XpZNFlUZ3dJaXdpYVdGMElqb3hOamMxTXpZd01ETXpmUS5nbnVXZlQ4enQ3bkF5ODFQWjF&lang=en&on_success_url=https://certn.co/"
    "front": null,
    "back": null,
    "face": null,
}
```

{% hint style="info" %}
If you integrated prior to March 1, 2023, be advised that the domain for`redirect_url` was `https://certn.netverify.com` instead of `https://app.certn.co`.
{% endhint %}
{% endtab %}
{% endtabs %}

### Report

Report field: [`enhanced_identity_verification`](https://docs.certn.co/api/api-reference/resources/report-field-mappings#enhanced-identity-verification)&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.certn.co/api/guides/checks/enhanced-identity-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
